com.tibco.tibjms.admin

## Class RouteSelector

- java.lang.Object
- - com.tibco.tibjms.admin.RouteSelector

-     public class RouteSelector
      extends java.lang.Object

  This class represents a selector applied to incoming or outgoing messages on a route.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouteSelector(java.lang.String topic, java.lang.String selector)` Create a selector for messages on a given topic.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouteSelector` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `java.lang.String` | `getSelector()` Get the selector that messages need to match in order for them to pass through the selector.
    `java.lang.String` | `getTopic()` Get the topic for this selector.
    `void` | `setSelector(java.lang.String selector)` Change the selector that messages need to match in order for them to pass through the selector.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouteSelector

          public RouteSelector(java.lang.String topic,
                               java.lang.String selector)

      Create a selector for messages on a given topic.
      Parameters:
        `topic` - the topic on which the selector will be run.
        `selector` - the selector that messages need to match in order that they be sent to or received from the route.

  - ### Method Detail

    - #### getTopic

          public java.lang.String getTopic()

      Get the topic for this selector.
      Returns:
        the topic for the selector.

    - #### getSelector

          public java.lang.String getSelector()

      Get the selector that messages need to match in order for them to pass through the selector.
      Returns:
        the selector.

    - #### setSelector

          public void setSelector(java.lang.String selector)

      Change the selector that messages need to match in order for them to pass through the selector.
      Parameters:
        `selector` - the new selector.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static RouteSelector from(javax.management.openmbean.CompositeData cd)

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a RouteSelector object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.

Copyright © Cloud Software Group, Inc. All rights reserved